Name:           python-venusian
Version:        3.1.0
Release:    1%{?dist}
Summary:        A library for deferring decorator actions

License:        BSD-3-Clause-Modification AND ZPL-2.1
URL:            https://github.com/Pylons/venusian
Source0:         %{pypi_source venusian}

BuildArch:      noarch

BuildRequires:  python3-devel

BuildRequires:  python3dist(pytest)

%global common_description %{expand:
Venusian is a library which allows framework authors to defer decorator
actions. Instead of taking actions when a function (or class) decorator is
executed at import time, you can defer the action usually taken by the
decorator until a separate “scan” phase.}

%description %{common_description}


%package -n python3-venusian
Summary:        %{summary}

%description -n python3-venusian %{common_description}


%prep
%autosetup -n venusian-%{version}

sed -r -i 's/ --cov[^[:blank:]]*//g' setup.cfg


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files venusian


%check
%pytest


%files -n python3-venusian -f %{pyproject_files}
%license COPYRIGHT.txt
%license LICENSE.txt
%doc CHANGES.rst
%doc CONTRIBUTORS.txt
%doc README.rst


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.0-1
- initial build
